BedrockAgentCoreControl / Client / get_dataset
get_dataset¶
- BedrockAgentCoreControl.Client.get_dataset(**kwargs)¶
Retrieves dataset metadata. Use the
datasetVersionquery parameter to retrieve a specific version’s metadata. If absent, defaults to DRAFT. For paginated example content, useListDatasetExamples.See also: AWS API Documentation
Request Syntax
response = client.get_dataset( datasetId='string', datasetVersion='string' )
- Parameters:
datasetId (string) –
[REQUIRED]
The unique identifier of the dataset to retrieve.
datasetVersion (string) – Version to retrieve: “DRAFT” or a version number. Defaults to DRAFT if absent.
- Return type:
dict
- Returns:
Response Syntax
{ 'datasetArn': 'string', 'datasetId': 'string', 'datasetVersion': 'string', 'datasetName': 'string', 'description': 'string', 'status': 'CREATING'|'UPDATING'|'DELETING'|'ACTIVE'|'CREATE_FAILED'|'UPDATE_FAILED'|'DELETE_FAILED', 'draftStatus': 'MODIFIED'|'UNMODIFIED', 'failureReason': 'string', 'schemaType': 'AGENTCORE_EVALUATION_PREDEFINED_V1'|'AGENTCORE_EVALUATION_SIMULATED_V1', 'kmsKeyArn': 'string', 'exampleCount': 123, 'downloadUrl': 'string', 'downloadUrlExpiresAt': datetime(2015, 1, 1), 'createdAt': datetime(2015, 1, 1), 'updatedAt': datetime(2015, 1, 1), 'tags': { 'string': 'string' } }
Response Structure
(dict) –
datasetArn (string) –
The Amazon Resource Name (ARN) of the dataset.
datasetId (string) –
The unique identifier of the dataset.
datasetVersion (string) –
The resolved version: “DRAFT” (default) or the requested version number.
datasetName (string) –
The name of the dataset.
description (string) –
The description of the dataset.
status (string) –
The current status of the dataset.
draftStatus (string) –
Publish synchronization state. Only authoritative when status is ACTIVE. MODIFIED indicates DRAFT has unpublished changes. UNMODIFIED indicates DRAFT matches the latest published version.
failureReason (string) –
Populated when status is CREATE_FAILED, UPDATE_FAILED, or DELETE_FAILED. Describes the reason for the failure.
schemaType (string) –
The schema type declared at create time. Immutable after creation.
kmsKeyArn (string) –
KMS key ARN used for server-side encryption on service Amazon S3 writes, if configured.
exampleCount (integer) –
The number of examples in the DRAFT.
downloadUrl (string) –
Presigned Amazon S3 URL to download the consolidated dataset file for the resolved version. Expires after 5 minutes. Omitted if the file does not yet exist.
downloadUrlExpiresAt (datetime) –
Expiry timestamp for the download URL.
createdAt (datetime) –
The timestamp when the dataset was created.
updatedAt (datetime) –
The timestamp when the dataset was last updated.
tags (dict) –
The tags associated with the dataset.
(string) –
(string) –
Exceptions
BedrockAgentCoreControl.Client.exceptions.ValidationExceptionBedrockAgentCoreControl.Client.exceptions.AccessDeniedExceptionBedrockAgentCoreControl.Client.exceptions.ResourceNotFoundExceptionBedrockAgentCoreControl.Client.exceptions.ThrottlingExceptionBedrockAgentCoreControl.Client.exceptions.InternalServerException